graphView.annotations

## Class AxisAnnotation

- java.lang.Object
- - org.jfree.chart.annotations.AbstractAnnotation
  - - graphView.annotations.AxisAnnotation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.chart.annotations.Annotation

Direct Known Subclasses:
  IntervalAnnotation, ValueAnnotation

    public abstract class AxisAnnotation
    extends org.jfree.chart.annotations.AbstractAnnotation
    implements java.io.Serializable

The Class AxisAnnotation.

Author:
  peter
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object obj)`
`java.lang.String` `getLabel()` Gets the label.
`org.jfree.ui.RectangleAnchor` `getLabelAnchor()` Gets the label anchor.
`double` `getLabelAngle()` Gets the label angle.
`java.awt.Paint` `getLabelBackgroundPaint()` Gets the label background paint.
`java.awt.Font` `getLabelFont()` Gets the label font.
`org.jfree.ui.RectangleInsets` `getLabelOffset()` Gets the label offset.
`org.jfree.ui.LengthAdjustmentType` `getLabelOffsetType()` Gets the label offset type.
`java.awt.Paint` `getLabelPaint()` Gets the label paint.
`org.jfree.ui.TextAnchor` `getLabelTextAnchor()` Gets the label text anchor.
`java.awt.Paint` `getOutlinePaint()` Gets the outline paint.
`java.awt.Stroke` `getOutlineStroke()` Gets the outline stroke.
`java.awt.Paint` `getPaint()` Gets the paint.
`org.jfree.ui.TextAnchor` `getRotationAnchor()` Gets the rotation anchor.
`java.awt.Stroke` `getStroke()` Gets the stroke.
`java.lang.String` `getToolTipText()` Returns the tool tip text for the annotation.
`java.lang.String` `getURL()` Returns the URL for the annotation.
`int` `hashCode()`
`boolean` `isLabelBackgroundVisible()` Checks if is label background visible.
`boolean` `isLabelClippingAllowed()` Checks if is label clipping allowed.
`boolean` `isLabelVisible()` Checks if is label visible.
`void` `setLabel(java.lang.String label)` Sets the label.
`void` `setLabelAnchor(org.jfree.ui.RectangleAnchor labelAnchor)` Sets the label anchor.
`void` `setLabelAngle(double labelAngle)` Sets the label angle.
`void` `setLabelBackgroundPaint(java.awt.Paint paint)` Sets the label background paint.
`void` `setLabelBackgroundVisible(boolean flag)` Sets the label background visible.
`void` `setLabelClippingAllowed(boolean flag)` Sets the label clipping allowed.
`void` `setLabelFont(java.awt.Font labelFont)` Sets the label font.
`void` `setLabelOffset(org.jfree.ui.RectangleInsets offset)` Sets the label offset.
`void` `setLabelOffsetTyte(org.jfree.ui.LengthAdjustmentType offsetType)` Sets the label offset tyte.
`void` `setLabelPaint(java.awt.Paint labelPaint)` Sets the label paint.
`void` `setLabelTextAnchor(org.jfree.ui.TextAnchor labelTextAnchor)` Sets the label text anchor.
`void` `setLabelVisible(boolean v)` Sets the label visible.
`void` `setOutlinePaint(java.awt.Paint paint)` Sets the outline paint.
`void` `setOutlineStroke(java.awt.Stroke stroke)` Sets the outline stroke.
`void` `setPaint(java.awt.Paint paint)` Sets the paint.
`void` `setRotationAnchor(org.jfree.ui.TextAnchor rotationAnchor)` Sets the rotation anchor.
`void` `setStroke(java.awt.Stroke stroke)` Sets the stroke.
`void` `setToolTipText(java.lang.String text)` Sets the tool tip text for the annotation.
`void` `setURL(java.lang.String url)` Sets the URL for the annotation.

### Methods inherited from class org.jfree.chart.annotations.AbstractAnnotation

`addChangeListener, clone, getNotify, hasListener, removeChangeListener, setNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getStroke

    public java.awt.Stroke getStroke()

Gets the stroke.

Returns:
  the stroke

#### setStroke

    public void setStroke(java.awt.Stroke stroke)

Sets the stroke.

Parameters:
  `stroke` - the new stroke

#### getOutlineStroke

    public java.awt.Stroke getOutlineStroke()

Gets the outline stroke.

Returns:
  the outline stroke

#### setOutlineStroke

    public void setOutlineStroke(java.awt.Stroke stroke)

Sets the outline stroke.

Parameters:
  `stroke` - the new outline stroke

#### getPaint

    public java.awt.Paint getPaint()

Gets the paint.

Returns:
  the paint

#### setPaint

    public void setPaint(java.awt.Paint paint)

Sets the paint.

Parameters:
  `paint` - the new paint

#### getOutlinePaint

    public java.awt.Paint getOutlinePaint()

Gets the outline paint.

Returns:
  the outline paint

#### setOutlinePaint

    public void setOutlinePaint(java.awt.Paint paint)

Sets the outline paint.

Parameters:
  `paint` - the new outline paint

#### getLabel

    public java.lang.String getLabel()

Gets the label.

Returns:
  the label

#### setLabel

    public void setLabel(java.lang.String label)

Sets the label.

Parameters:
  `label` - the new label

#### getToolTipText

    public java.lang.String getToolTipText()

Returns the tool tip text for the annotation. This will be displayed in a `ChartPanel` when the mouse pointer hovers over the annotation.

Returns:
  The tool tip text (possibly `null`).
See Also:
  `setToolTipText(String)`

#### setToolTipText

    public void setToolTipText(java.lang.String text)

Sets the tool tip text for the annotation.

Parameters:
  `text` - the tool tip text (`null` permitted).
See Also:
  `getToolTipText()`

#### getURL

    public java.lang.String getURL()

Returns the URL for the annotation. This URL will be used to provide hyperlinks when an HTML image map is created for the chart.

Returns:
  The URL (possibly `null`).
See Also:
  `setURL(String)`

#### setURL

    public void setURL(java.lang.String url)

Sets the URL for the annotation.

Parameters:
  `url` - the URL (`null` permitted).
See Also:
  `getURL()`

#### getLabelAngle

    public double getLabelAngle()

Gets the label angle.

Returns:
  the label angle

#### setLabelAngle

    public void setLabelAngle(double labelAngle)

Sets the label angle.

Parameters:
  `labelAngle` - the new label angle

#### isLabelVisible

    public boolean isLabelVisible()

Checks if is label visible.

Returns:
  true, if is label visible

#### setLabelVisible

    public void setLabelVisible(boolean v)

Sets the label visible.

Parameters:
  `v` - the new label visible

#### getLabelFont

    public java.awt.Font getLabelFont()

Gets the label font.

Returns:
  the label font

#### setLabelFont

    public void setLabelFont(java.awt.Font labelFont)

Sets the label font.

Parameters:
  `labelFont` - the new label font

#### getLabelPaint

    public java.awt.Paint getLabelPaint()

Gets the label paint.

Returns:
  the label paint

#### setLabelPaint

    public void setLabelPaint(java.awt.Paint labelPaint)

Sets the label paint.

Parameters:
  `labelPaint` - the new label paint

#### getLabelOffset

    public org.jfree.ui.RectangleInsets getLabelOffset()

Gets the label offset.

Returns:
  the label offset

#### setLabelOffset

    public void setLabelOffset(org.jfree.ui.RectangleInsets offset)

Sets the label offset.

Parameters:
  `offset` - the new label offset

#### getLabelOffsetType

    public org.jfree.ui.LengthAdjustmentType getLabelOffsetType()

Gets the label offset type.

Returns:
  the label offset type

#### setLabelOffsetTyte

    public void setLabelOffsetTyte(org.jfree.ui.LengthAdjustmentType offsetType)

Sets the label offset tyte.

Parameters:
  `offsetType` - the new label offset tyte

#### getLabelBackgroundPaint

    public java.awt.Paint getLabelBackgroundPaint()

Gets the label background paint.

Returns:
  the label background paint

#### setLabelBackgroundPaint

    public void setLabelBackgroundPaint(java.awt.Paint paint)

Sets the label background paint.

Parameters:
  `paint` - the new label background paint

#### isLabelBackgroundVisible

    public boolean isLabelBackgroundVisible()

Checks if is label background visible.

Returns:
  true, if is label background visible

#### setLabelBackgroundVisible

    public void setLabelBackgroundVisible(boolean flag)

Sets the label background visible.

Parameters:
  `flag` - the new label background visible

#### isLabelClippingAllowed

    public boolean isLabelClippingAllowed()

Checks if is label clipping allowed.

Returns:
  true, if is label clipping allowed

#### setLabelClippingAllowed

    public void setLabelClippingAllowed(boolean flag)

Sets the label clipping allowed.

Parameters:
  `flag` - the new label clipping allowed

#### getLabelAnchor

    public org.jfree.ui.RectangleAnchor getLabelAnchor()

Gets the label anchor.

Returns:
  the label anchor

#### setLabelAnchor

    public void setLabelAnchor(org.jfree.ui.RectangleAnchor labelAnchor)

Sets the label anchor.

Parameters:
  `labelAnchor` - the new label anchor

#### getLabelTextAnchor

    public org.jfree.ui.TextAnchor getLabelTextAnchor()

Gets the label text anchor.

Returns:
  the label text anchor

#### setLabelTextAnchor

    public void setLabelTextAnchor(org.jfree.ui.TextAnchor labelTextAnchor)

Sets the label text anchor.

Parameters:
  `labelTextAnchor` - the new label text anchor

#### getRotationAnchor

    public org.jfree.ui.TextAnchor getRotationAnchor()

Gets the rotation anchor.

Returns:
  the rotation anchor

#### setRotationAnchor

    public void setRotationAnchor(org.jfree.ui.TextAnchor rotationAnchor)

Sets the rotation anchor.

Parameters:
  `rotationAnchor` - the new rotation anchor

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`